afSetErrorHandler allows an alternate error handling routine to be
specified.

SYNOPSIS

	#include <audiofile.h>

	AFerrfunc afSetErrorHandler (AFerrfunc errorFunction);

PARAMETERS

errorFunction is a pointer to an error handling function which has the
following prototype:
	void error (long, char *, ...);

RETURN VALUE

The value returned from afSetErrorHandler is a pointer to the previous
error handling function.

DESCRIPTION

The afSetErrorHandler() library function allows the user to override
the default error handling function.

The arguments are a long indicating an error code and a string (which
may have printf-style formatting) followed by a variable argument list
which contains any arguments for the format string.
